package com.ssyf.task.models;

import com.ssyf.third.bmiss.model.LoginResponse;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * 登录缓存信息类
 */
@Data
@Accessors(chain = true)
public class LoginCacheInfo {
    private boolean loggedIn;
    private LoginResponse userInfo;
    private String token;
    private long expireTime;

    public boolean isLoggedIn() {
        return loggedIn;
    }

    public void setLoggedIn(boolean loggedIn) {
        this.loggedIn = loggedIn;
    }

    public LoginResponse getUserInfo() {
        return userInfo;
    }

    public void setUserInfo(LoginResponse userInfo) {
        this.userInfo = userInfo;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public long getExpireTime() {
        return expireTime;
    }

    public void setExpireTime(long expireTime) {
        this.expireTime = expireTime;
    }
}